%global pypi_name cssmin

Name:		python-cssmin
Version:	0.1.4
Release:	1%{?dist}
Summary:	A Python port of the YUI CSS compression algorithm

Group:		Development/Libraries
License:	BSD
URL:		http://github.com/zacharyvoase/cssmin
Source0:    https://pypi.python.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:	python2-devel python-setuptools

%description
A Python port of the YUI CSS compression algorithm.

%prep
%setup -q -n %{pypi_name}-%{version}

# remove shebang from non-executable
sed '1{\@^#!/usr/bin/env python@d}' src/cssmin.py > src/cssmin.py.new &&
touch -r  src/cssmin.py src/cssmin.py.new &&
mv src/cssmin.py.new src/cssmin.py

%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build -O1 --root %{buildroot}


%files
%doc PKG-INFO
%{python_sitelib}/cssmin.py*
%{python_sitelib}/*.egg-info
%{_bindir}/*


%changelog
* Tue Oct 01 2013 Martin Krizek <mkrizek@redhat.com> - 0.1.4-1
- Initial packaging
